import request from '@/utils/request'

// 查询钱包记录列表
export function listRecord(data) {
  return request({
    url: '/tWalletRecord/list',
    method: 'post',
    data: data
  })
}

// 查询钱包记录详细
export function getRecord(id) {
  return request({
    url: '/tWalletRecord/' + id,
    method: 'get'
  })
}

// 新增钱包记录
export function addRecord(data) {
  return request({
    url: '/tWalletRecord',
    method: 'post',
    data: data
  })
}

// 修改钱包记录
export function updateRecord(data) {
  return request({
    url: '/tWalletRecord',
    method: 'put',
    data: data
  })
}

// 删除钱包记录
export function delRecord(id) {
  return request({
    url: '/tWalletRecord/' + id,
    method: 'delete'
  })
}

// 导出钱包记录
export function exportRecord(query) {
  return request({
    url: '/tWalletRecord/export',
    method: 'get',
    params: query
  })
}
